var jobStatus = {
    id: 2,
    scriptName: "findBug003.sh",
    link: "#",
    status: 'running',
    startCommit: 'r23456',
    currentCommit: 'r45002',
    endCommit: 'r46810',
    results: [
        { commit: 'r23456', retcode: '0', output_link: '2/output/23456' },
        { commit: 'r23457', retcode: '0', output_link: '2/output/23457' },
        { commit: 'r23458', retcode: '0', output_link: '2/output/23458' },
        { commit: 'r23459', retcode: '0', output_link: '2/output/23459' },
        { commit: 'r23460', retcode: '1', output_link: '2/output/23460' },
        { commit: 'r23461', retcode: '2', output_link: '2/output/23461' },
        { commit: 'r23462', retcode: '2', output_link: '2/output/23462' },
        { commit: 'r23463', retcode: '1', output_link: '2/output/23463' },
        { commit: 'r23464', retcode: '0', output_link: '2/output/23464' },
        { commit: 'r23465', retcode: '0', output_link: '2/output/23465' }
    ]
}

require([
    "dojox/charting/Chart",
    "dojox/charting/themes/Claro",
    "dojo/_base/array",
    "dgrid/Grid",
    "dojox/charting/plot2d/Lines",
    "dojox/charting/plot2d/Markers",
    "dojox/charting/axis2d/Default",
    "dojo/domReady!"
], function(Chart, theme, array, Grid) {

    createStatusGrid("status-grid", [jobStatus]);

    var chart = new Chart("results-graph");
    chart.setTheme(theme);
    chart.addPlot("default", {
        type: "Lines",
        markers: true,
    });
    chart.addAxis("x");
    chart.addAxis("y", { vertical: true });
    chart.addSeries("results", array.map(jobStatus.results, function(item) {
        return { x: parseInt(item.commit.replace(/^r/, '')), y: parseInt(item.retcode) };
    }));
    chart.render();

    var grid = new Grid({
        columns: {
            commit: {
                label: "Commit"
            },
            retcode: {
                label: "Return code"
            },
            output_link: {
                label: "Output (link)",
                formatter: function(value) { return "<a href=\"" + value + "\">View Output</a>"; }
            }
        }
    }, "results-grid");
    grid.renderArray(jobStatus.results);

    /* For some reason, the statusGrid dgrid isn't sizedt properly
       when it's created... */
    statusGrid.resize(); });
