function createStatusGrid(element, data) {
    require(["dgrid/Grid", "dojo/domReady!"], function(Grid) {
        var statusGrid = new Grid({
            columns: {
                id: {
                    label: "Job",
                    className: "job-cell",
                    get: function(object) {
                        return "(" + object.link + ")" + object.id + ": " + object.scriptName + "</a>";
                    },
                    formatter: function(v) {
                        return v.replace(/\(([^)]*)\)/, "<a href=\"$1\">") + "</a>"
                    }
                },
                status: {
                    label: "Status",
                    className: "status-cell",
                    formatter: function(v) {
                        return "<span class=\"status-indicator " + v + "\"></span>" + v;
                    }
                },
                startCommit: "Start commit",
                currentCommit: {
                    label: "Current commit",
                    get: function(object) {
                        return object.currentCommit ? object.currentCommit : "n/a";
                    }
                },
                endCommit: "End commit"
            }
        }, element);
        statusGrid.renderArray(data);
    });
}
